Bug 1254818 - [RFE] : Need VM affinity rule for "hypervisor pools" within a cluster
[RFE] : Need VM affinity rule for "hypervisor pools" within a cluster
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
All Linux
urgent Severity medium
: ovirt-4.0.0-rc
: 4.0.0
Assigned To: Martin Sivák
: FutureFeature, Triaged
: 1266041 (view as bug list)
Depends On:
Blocks: 1338799
  Show dependency treegraph
Reported: 2015-08-18 19:21 EDT by Pawan kumar Vilayatkar
Modified: 2016-08-23 16:28 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
You can now use the REST API to assign affinity labels to hosts and virtual machines. A virtual machine can be scheduled on a host as long as the host has all the affinity labels the virtual machine has. It is also supported if the host has additional affinity labels that the virtual machine does not have.
Story Points: ---
Clone Of:
Last Closed: 2016-08-23 16:28:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Basic sanity test of labels for one VM and one Host (4.03 KB, text/plain)
2016-06-02 07:32 EDT, Martin Sivák
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 55873 master MERGED db: Add entity, tables and DAO implementation for Label 2016-05-22 02:54 EDT
oVirt gerrit 55874 master MERGED bll: Add the basic CRUD commands for Labels 2016-05-22 03:14 EDT
oVirt gerrit 55875 master MERGED sla: Label based scheduling policy units 2016-05-22 03:38 EDT
oVirt gerrit 55982 master MERGED Add support for affinity labels 2016-06-01 05:26 EDT
oVirt gerrit 56507 None None None 2016-06-02 06:57 EDT
oVirt gerrit 58484 ovirt-engine-4.0 MERGED restapi: Affinity label REST API implementation 2016-06-02 04:10 EDT
oVirt gerrit 58485 ovirt-engine-4.0 MERGED rest: Fix NPE when no headers are present during subcollection DELETE 2016-06-02 04:11 EDT

  None (edit)
Description Pawan kumar Vilayatkar 2015-08-18 19:21:21 EDT
1. What is the nature and description of the request?

As a Windows Systems Engineer working for Red Hat Internal IT, I need rhev to provide host node or cpu affinity )or pooling). Microsoft licensing requires that a license be purchased for each physical CPU that Windows servers are running on, we need to ensure that VMs are bound to a group of physical processors (or host nodes) so that we no not need to purchase licenses for every processor across all of our RHEV environments. The hosts need to be run in a high availability mode.

2. Why do you need this? (List the business requirements here)

We need this feature to prevent Red Hat IT from spending millions of dollars in licensing for Microsoft Windows Licensing for te small number of Windows hosts we have.

3. How would you like to achieve this? (List the functional requirements here)

CPU affinity or resource pooling as is available in other Virt solutions.

4. Do you have any specific time-line dependencies?

no specific time line or requirements

5. List any affected packages or components.


6. Would you be able to assist in testing this functionality if implemented?

This is the choice of the Platform Operations team

7. For each functional requirement listed in the previous question, can test to confirm the requirement is successfully implemented.

we are willing to provide testing for this functionality
Comment 2 Doron Fediuck 2016-03-03 09:15:18 EST
we're working on an improved feature for 4.0.
However, thanks to bug 1107512, you can handle your request in 3.6 using
VM pinning to multiple hosts.
Comment 3 Doron Fediuck 2016-03-20 06:06:27 EDT
*** Bug 1266041 has been marked as a duplicate of this bug. ***
Comment 6 Yaniv Lavi 2016-05-09 06:58:45 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 9 Martin Sivák 2016-06-02 07:32 EDT
Created attachment 1164031 [details]
Basic sanity test of labels for one VM and one Host

This script can be used to do basic sanity testing of the affinity label functionality. It requires a running ovirt-engine (preconfigured values - ip, admin@internal:letmein) with one VM (does not have to be running) and one Host.
Comment 11 Artyom 2016-07-18 11:43:35 EDT
Verified on rhevm-4.0.2-0.2.rc1.el7ev.noarch
According to polarion plan https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=4%5F0%5FSLA%5FVMS%5Fto%5FHosts%5FLabels%5Frun
Comment 13 errata-xmlrpc 2016-08-23 16:28:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.